# Uses of Enum Class
com.destroystokyo.paper.event.entity.EntityTransformedEvent.TransformedReason

Packages that use EntityTransformedEvent.TransformedReason
Package
Description
com.destroystokyo.paper.event.entity

## Uses of EntityTransformedEvent.TransformedReason in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return EntityTransformedEvent.TransformedReason
Modifier and Type
Method
Description
`EntityTransformedEvent.TransformedReason`
EntityTransformedEvent.`getReason()`
Deprecated.
see `EntityTransformEvent.getTransformReason()`
`static EntityTransformedEvent.TransformedReason`
EntityTransformedEvent.TransformedReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityTransformedEvent.TransformedReason[]`
EntityTransformedEvent.TransformedReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.destroystokyo.paper.event.entity with parameters of type EntityTransformedEvent.TransformedReason
Modifier
Constructor
Description
``
`EntityTransformedEvent(Entity entity, Entity transformed, EntityTransformedEvent.TransformedReason reason)`
Deprecated.